Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.ajax4jsf.component.AjaxInputComponent
                          org.richfaces.component.UIPanelMenuGroup
                              org.richfaces.component.html.HtmlPanelMenuGroup

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent

    public class HtmlPanelMenuGroup

extends UIPanelMenuGroup

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlPanelMenuGroup()`

Method Summary
`java.lang.String` | `getAccesskey()`
`javax.faces.el.MethodBinding` | `getAction()`
`javax.el.MethodExpression` | `getActionExpression()`
`javax.faces.el.MethodBinding` | `getActionListener()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getDisabledClass()`
`java.lang.String` | `getDisabledStyle()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getExpandMode()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getHoverClass()`
`java.lang.String` | `getHoverStyle()`
`java.lang.String` | `getIconClass()`
`java.lang.String` | `getIconCollapsed()`
`java.lang.String` | `getIconDisabled()`
`java.lang.String` | `getIconExpanded()`
`java.lang.String` | `getIconStyle()`
`java.lang.String` | `getLabel()`
`int` | `getMaxlength()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncollapse()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnexpand()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselect()`
`java.lang.Object` | `getProcess()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getSimilarityGroupingId()`
`int` | `getSize()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getTarget()`
`int` | `getTimeout()`
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String _accesskey)`
`void` | `setAction(javax.faces.el.MethodBinding _action)`
`void` | `setActionExpression(javax.el.MethodExpression _actionExpression)`
`void` | `setActionListener(javax.faces.el.MethodBinding _actionListener)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setAlign(java.lang.String _align)`
`void` | `setAlt(java.lang.String _alt)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setData(java.lang.Object _data)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setDisabledClass(java.lang.String _disabledClass)`
`void` | `setDisabledStyle(java.lang.String _disabledStyle)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setExpandMode(java.lang.String _expandMode)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setHoverClass(java.lang.String _hoverClass)`
`void` | `setHoverStyle(java.lang.String _hoverStyle)`
`void` | `setIconClass(java.lang.String _iconClass)`
`void` | `setIconCollapsed(java.lang.String _iconCollapsed)`
`void` | `setIconDisabled(java.lang.String _iconDisabled)`
`void` | `setIconExpanded(java.lang.String _iconExpanded)`
`void` | `setIconStyle(java.lang.String _iconStyle)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setLabel(java.lang.String _label)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setMaxlength(int _maxlength)`
`void` | `setName(java.lang.String _name)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOnblur(java.lang.String _onblur)`
`void` | `setOnchange(java.lang.String _onchange)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOncollapse(java.lang.String _oncollapse)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnexpand(java.lang.String _onexpand)`
`void` | `setOnfocus(java.lang.String _onfocus)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnselect(java.lang.String _onselect)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
`void` | `setSize(int _size)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTabindex(java.lang.String _tabindex)`
`void` | `setTarget(java.lang.String _target)`
`void` | `setTimeout(int _timeout)`

Methods inherited from class org.richfaces.component.UIPanelMenuGroup
`addActionListener, broadcast, getActionListeners, isExpanded, queueEvent, removeActionListener, setExpanded`

Methods inherited from class org.ajax4jsf.component.AjaxInputComponent
`setupReRender`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource
`isImmediate, setImmediate`

Methods inherited from interface javax.faces.component.EditableValueHolder
`addValidator, addValueChangeListener, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValueChangeListener`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter, setValue`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelMenuGroup

    public HtmlPanelMenuGroup()

Method Detail

### getAccesskey

    public java.lang.String getAccesskey()

### setAccesskey

    public void setAccesskey(java.lang.String _accesskey)

### getAction

    public javax.faces.el.MethodBinding getAction()

### setAction

    public void setAction(javax.faces.el.MethodBinding _action)

### getActionExpression

    public javax.el.MethodExpression getActionExpression()

### setActionExpression

    public void setActionExpression(javax.el.MethodExpression _actionExpression)

### getActionListener

    public javax.faces.el.MethodBinding getActionListener()

### setActionListener

    public void setActionListener(javax.faces.el.MethodBinding _actionListener)

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### getAlign

    public java.lang.String getAlign()

### setAlign

    public void setAlign(java.lang.String _align)

### getAlt

    public java.lang.String getAlt()

### setAlt

    public void setAlt(java.lang.String _alt)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `UIPanelMenuGroup`

### setDisabled

    public void setDisabled(boolean _disabled)

  Specified by:
    `setDisabled` in class `UIPanelMenuGroup`

### getDisabledClass

    public java.lang.String getDisabledClass()

  Specified by:
    `getDisabledClass` in class `UIPanelMenuGroup`

### setDisabledClass

    public void setDisabledClass(java.lang.String _disabledClass)

  Specified by:
    `setDisabledClass` in class `UIPanelMenuGroup`

### getDisabledStyle

    public java.lang.String getDisabledStyle()

  Specified by:
    `getDisabledStyle` in class `UIPanelMenuGroup`

### setDisabledStyle

    public void setDisabledStyle(java.lang.String _disabledStyle)

  Specified by:
    `setDisabledStyle` in class `UIPanelMenuGroup`

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getExpandMode

    public java.lang.String getExpandMode()

  Specified by:
    `getExpandMode` in class `UIPanelMenuGroup`

### setExpandMode

    public void setExpandMode(java.lang.String _expandMode)

  Specified by:
    `setExpandMode` in class `UIPanelMenuGroup`

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### getHoverClass

    public java.lang.String getHoverClass()

  Specified by:
    `getHoverClass` in class `UIPanelMenuGroup`

### setHoverClass

    public void setHoverClass(java.lang.String _hoverClass)

  Specified by:
    `setHoverClass` in class `UIPanelMenuGroup`

### getHoverStyle

    public java.lang.String getHoverStyle()

  Specified by:
    `getHoverStyle` in class `UIPanelMenuGroup`

### setHoverStyle

    public void setHoverStyle(java.lang.String _hoverStyle)

  Specified by:
    `setHoverStyle` in class `UIPanelMenuGroup`

### getIconClass

    public java.lang.String getIconClass()

  Specified by:
    `getIconClass` in class `UIPanelMenuGroup`

### setIconClass

    public void setIconClass(java.lang.String _iconClass)

  Specified by:
    `setIconClass` in class `UIPanelMenuGroup`

### getIconCollapsed

    public java.lang.String getIconCollapsed()

  Specified by:
    `getIconCollapsed` in class `UIPanelMenuGroup`

### setIconCollapsed

    public void setIconCollapsed(java.lang.String _iconCollapsed)

  Specified by:
    `setIconCollapsed` in class `UIPanelMenuGroup`

### getIconDisabled

    public java.lang.String getIconDisabled()

  Specified by:
    `getIconDisabled` in class `UIPanelMenuGroup`

### setIconDisabled

    public void setIconDisabled(java.lang.String _iconDisabled)

  Specified by:
    `setIconDisabled` in class `UIPanelMenuGroup`

### getIconExpanded

    public java.lang.String getIconExpanded()

  Specified by:
    `getIconExpanded` in class `UIPanelMenuGroup`

### setIconExpanded

    public void setIconExpanded(java.lang.String _iconExpanded)

  Specified by:
    `setIconExpanded` in class `UIPanelMenuGroup`

### getIconStyle

    public java.lang.String getIconStyle()

  Specified by:
    `getIconStyle` in class `UIPanelMenuGroup`

### setIconStyle

    public void setIconStyle(java.lang.String _iconStyle)

  Specified by:
    `setIconStyle` in class `UIPanelMenuGroup`

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `UIPanelMenuGroup`

### setLabel

    public void setLabel(java.lang.String _label)

  Specified by:
    `setLabel` in class `UIPanelMenuGroup`

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getMaxlength

    public int getMaxlength()

### setMaxlength

    public void setMaxlength(int _maxlength)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `UIPanelMenuGroup`

### setName

    public void setName(java.lang.String _name)

  Specified by:
    `setName` in class `UIPanelMenuGroup`

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOnblur

    public java.lang.String getOnblur()

### setOnblur

    public void setOnblur(java.lang.String _onblur)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String _onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOncollapse

    public java.lang.String getOncollapse()

  Specified by:
    `getOncollapse` in class `UIPanelMenuGroup`

### setOncollapse

    public void setOncollapse(java.lang.String _oncollapse)

  Specified by:
    `setOncollapse` in class `UIPanelMenuGroup`

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnexpand

    public java.lang.String getOnexpand()

  Specified by:
    `getOnexpand` in class `UIPanelMenuGroup`

### setOnexpand

    public void setOnexpand(java.lang.String _onexpand)

  Specified by:
    `setOnexpand` in class `UIPanelMenuGroup`

### getOnfocus

    public java.lang.String getOnfocus()

### setOnfocus

    public void setOnfocus(java.lang.String _onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnselect

    public java.lang.String getOnselect()

### setOnselect

    public void setOnselect(java.lang.String _onselect)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getSimilarityGroupingId

    public java.lang.String getSimilarityGroupingId()

### setSimilarityGroupingId

    public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

### getSize

    public int getSize()

### setSize

    public void setSize(int _size)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `UIPanelMenuGroup`

### setStyle

    public void setStyle(java.lang.String _style)

  Specified by:
    `setStyle` in class `UIPanelMenuGroup`

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `UIPanelMenuGroup`

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

  Specified by:
    `setStyleClass` in class `UIPanelMenuGroup`

### getTabindex

    public java.lang.String getTabindex()

### setTabindex

    public void setTabindex(java.lang.String _tabindex)

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in class `UIPanelMenuGroup`

### setTarget

    public void setTarget(java.lang.String _target)

  Specified by:
    `setTarget` in class `UIPanelMenuGroup`

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.